Class | Less::Engine
In: | lib/sass/less.rb
Parent: | Object

The entry point to Less. By default Less doesn‘t preserve the filename of the file being parsed, which is unpleasant for error reporting. Our monkeypatch keeps it around.

### Methods

initialize initialize_with_sass parse parse_with_sass to_tree

### External Aliases

initialize | -> | initialize_without_sass
parse | -> | parse_without_sass

### Public Instance methods

initialize(obj, opts = {})

Alias for initialize_with_sass

initialize_with_sass(obj, opts = {})

[Source]

         # File lib/sass/less.rb, line 348
    348:     def initialize_with_sass(obj, opts = {})
    349:       initialize_without_sass(obj, opts)
    350:       @filename = obj.path if obj.is_a?(File)
    351:     end

parse()

Alias for parse_with_sass

parse_with_sass()

[Source]

         # File lib/sass/less.rb, line 355
    355:     def parse_with_sass
    356:       parse_without_sass
    357:     rescue Sass::SyntaxError => e
    358:       e.modify_backtrace(:filename => @filename)
    359:       raise e
    360:     end

to_tree()

Alias for parse

[Validate]